Subject: Re: [bitcoin-dev] Bech32m BIP: new checksum, and usage for segwit address

From: Pieter Wuille <[email-masked]>
Date: Wed, 20 Jan 2021 00:29:36 +0000

On Tuesday, January 19, 2021 4:23 PM, nakagat <[email-masked]> wrote:

> Dear. Pieter,
>
> My idea is exactly what you wrote.
>
> However, I don't think it is the same as "checksum = hash (hrp, data)".

No, it is not the same. But it has the same error-detection properties as just a hash. Hash-based checksums aren't bad, but:
* The BCH based checksum that Bech32 uses is better at detecting certain subsets of errors than a hash can be. Once you add in a hash you irrevocably lose these properties.
* If we wanted a checksum with error detection properties that are equivalent to a hash, we should just use a hash like Base58Check did. However, that's not the goal of Bech32/Bech32m.

If this isn't clear, I'm afraid I don't know how to continue discussing this. We can take if off this list, if you want.

Cheers,

--
Pieter